window.Gleam.initSearch([{"doc":"gleamy_lights","title":"gleamy_lights","content":"# gleamy_lights\n\n[![Package Version](https://img.shields.io/hexpm/v/gleamy_lights)](https://hex.pm/packages/gleamy_lights)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleamy_lights/)\n\nColored terminal output for Gleam.\n\n```sh\ngleam add gleamy_lights@2\n```\n\n```gleam\nimport gleam/io\nimport gleamy_lights\nimport gleamy_lights/premixed.{bg_green, text_orange}\nimport gleamy_lights/premixed/gleam_colours\n\npub fn main() {\n  io.println(\n    text_orange(&quot;Hello, &quot;)\n    &lt;&gt; gleamy_lights.by_hexcolour_bg(&quot;world&quot;, &quot;#aa88ff&quot;)\n    &lt;&gt; bg_green(&quot;!&quot;),\n  )\n  io.println(\n    &quot;This is a &quot;\n    &lt;&gt; gleam_colours.bg_underwater_blue(gleam_colours.text_faff_pink(\n      &quot;gleamy&quot;,\n    ))\n    &lt;&gt; &quot; world.&quot;,\n  )\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gleamy_lights&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"gleamy_lights","title":"gleamy_lights","content":"\n# Changelog\n\n\n## Unreleased changes\n            \nNo unreleased changes.\n\n## Releases\n\n\n\r\n### 2.2.1\n-  **&lt;span style=&quot;color: #ff9d35&quot;&gt;Fix&lt;/span&gt;**: Background colour ignoring the NO_COLOR env var\n\r\n\r\n### 2.2.0\n-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: Added a `helper.println` function, allowing wider compatibility with for example browsers!\n\r\n\r\n### 2.1.0\n-  **&lt;span style=&quot;color: #0060df&quot;&gt;Removal&lt;/span&gt;**: Remove `_gl` suffix on the gleam pallette\n\r-  **&lt;span style=&quot;color: #a6f0fc&quot;&gt;Update&lt;/span&gt;**: Docs: Now using a more gleamy-color pallette.\n\r-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: Gleam community color support\n\r-  **&lt;span style=&quot;color: #a6f0fc&quot;&gt;Update&lt;/span&gt;**: `NO_COLOR` variable can be any value now.\n\r-  **&lt;span style=&quot;color: #ff9d35&quot;&gt;Fix&lt;/span&gt;**: My previous Americanisations are now rectified. (This &lt;span style=&quot;color: red; background-color: #ffcc00&quot;&gt;breaks&lt;/span&gt; the gleam pallette path.)\n\r\n\r\n### 2.0.2\n-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: Support for `NO_COLOR`, allowing users to disable gleamy_lights alterations to strings with just a single env var.\n\r\n\r\n### 2.0.1\n\n\r\n### 2.0.0\n-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: Added Gleam color palette\n\r- &lt;span style=&quot;color: red; background-color: #ffcc00&quot;&gt;BREAKING!&lt;/span&gt; **&lt;span style=&quot;color: #a6f0fc&quot;&gt;Update&lt;/span&gt;**: Move premixes into own module\n\r\n\r\n### 1.1.0\n-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: 6-digit hex color support\n\r-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: Background support\n\r\n\r\n### 1.0.0\n-  **&lt;span style=&quot;color: #ffaff3&quot;&gt;Addition&lt;/span&gt;**: initial release\n\r\n\n&lt;hr&gt;\n            \nThis file was auto generated by [&lt;span style=&quot;background-color: #24273a; color: #ffcc00&quot;&gt;Bananen! 🍌&lt;/span&gt;](https://github.com/strawmelonjuice/bananen/) `v0.1.8`\n.","url":"changelog.html"},{"doc":"gleamy_lights","title":"by_color","content":"pub const by_color: fn(String, Colour) -&gt; String\n Alias for by_colour\nSynonyms:\ngleamy_lights.by_color\ngleamy_lights by_color","url":"gleamy_lights.html#by_color"},{"doc":"gleamy_lights","title":"by_color_bg","content":"pub const by_color_bg: fn(String, Colour) -&gt; String\n Alias for by_colour\nSynonyms:\ngleamy_lights.by_color_bg\ngleamy_lights by_color_bg","url":"gleamy_lights.html#by_color_bg"},{"doc":"gleamy_lights","title":"by_hexcolor","content":"pub const by_hexcolor: fn(String, String) -&gt; String\n Alias for by_hexcolour\nSynonyms:\ngleamy_lights.by_hexcolor\ngleamy_lights by_hexcolor","url":"gleamy_lights.html#by_hexcolor"},{"doc":"gleamy_lights","title":"by_hexcolor_bg","content":"pub const by_hexcolor_bg: fn(String, String) -&gt; String\n Alias for by_hexcolour_bg\nSynonyms:\ngleamy_lights.by_hexcolor_bg\ngleamy_lights by_hexcolor_bg","url":"gleamy_lights.html#by_hexcolor_bg"},{"doc":"gleamy_lights","title":"by_colour","content":"pub fn by_colour(msg: String, clr: Colour) -&gt; String\n # By Colour\n Given a string and a &lt;code&gt;&lt;a href=&quot;https://hexdocs.pm/gleam_community_colour/gleam_community/colour.html#Colour&quot;&gt;Colour&lt;/a&gt;&lt;/code&gt;, return the message with the colour applied.\nSynonyms:\ngleamy_lights.by_colour\ngleamy_lights by_colour","url":"gleamy_lights.html#by_colour"},{"doc":"gleamy_lights","title":"by_colour_bg","content":"pub fn by_colour_bg(msg: String, clr: Colour) -&gt; String\n # By Colour\n Given a string and a &lt;code&gt;&lt;a href=&quot;https://hexdocs.pm/gleam_community_colour/gleam_community/colour.html#Colour&quot;&gt;Colour&lt;/a&gt;&lt;/code&gt;, return the message with the background colour applied.\nSynonyms:\ngleamy_lights.by_colour_bg\ngleamy_lights by_colour_bg","url":"gleamy_lights.html#by_colour_bg"},{"doc":"gleamy_lights","title":"by_hexcolour","content":"pub fn by_hexcolour(msg: String, hexcolour: String) -&gt; String\n # By Hex colour\n Given a string and a hex colour, return the message with the colour applied.\n\n Will return black if the hex colour is invalid.\nSynonyms:\ngleamy_lights.by_hexcolour\ngleamy_lights by_hexcolour","url":"gleamy_lights.html#by_hexcolour"},{"doc":"gleamy_lights","title":"by_hexcolour_bg","content":"pub fn by_hexcolour_bg(msg: String, hexcolour: String) -&gt; String\n # By Hexcolour - Background\n Given a string and a hex colour, return the message with the background color applied.\n Will return black if the hex colour is invalid.\nSynonyms:\ngleamy_lights.by_hexcolour_bg\ngleamy_lights by_hexcolour_bg","url":"gleamy_lights.html#by_hexcolour_bg"},{"doc":"gleamy_lights","title":"by_rgb","content":"pub fn by_rgb(msg: String, r: Int, g: Int, b: Int) -&gt; String\n # By RGB\n Given a string and an RGB color, return the message with the color applied.\n The RGB values should be between 0 and 255.\nSynonyms:\ngleamy_lights.by_rgb\ngleamy_lights by_rgb","url":"gleamy_lights.html#by_rgb"},{"doc":"gleamy_lights","title":"by_rgb_bg","content":"pub fn by_rgb_bg(msg: String, r: Int, g: Int, b: Int) -&gt; String\n # By RGB - Background\n Given a string and an RGB colour, return the message with the background colour applied.\n The RGB values should be between 0 and 255.\nSynonyms:\ngleamy_lights.by_rgb_bg\ngleamy_lights by_rgb_bg","url":"gleamy_lights.html#by_rgb_bg"},{"doc":"gleamy_lights","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngleamy_lights.main\ngleamy_lights main","url":"gleamy_lights.html#main"},{"doc":"gleamy_lights","title":"gleamy_lights","content":" &lt;h1 class=&quot;atx&quot; id=&quot;gleamy_lights&quot;&gt;gleamy_lights&lt;/h1&gt;\n &lt;h2 class=&quot;atx&quot; id=&quot;modifiers&quot;&gt;Modifiers&lt;/h2&gt;\n &lt;p&gt;Modifiers are the functions that modify a string to add a colour to it. Premixes use these, and so are not counted as modifiers.&lt;/p&gt;\n &lt;p&gt;Among these are:&lt;/p&gt;\n &lt;h6 class=&quot;atx&quot; id=&quot;background&quot;&gt;Background&lt;/h6&gt;\n &lt;ul&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_colour_bg&quot;&gt;&lt;code&gt;by_colour_bg&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_rgb_bg&quot;&gt;&lt;code&gt;by_rgb_bg&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_hexcolour_bg&quot;&gt;&lt;code&gt;by_hexcolour_bg&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;/ul&gt;\n &lt;h6 class=&quot;atx&quot; id=&quot;foreground&quot;&gt;Foreground&lt;/h6&gt;\n &lt;ul&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_colour&quot;&gt;&lt;code&gt;by_colour&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_rgb&quot;&gt;&lt;code&gt;by_rgb&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights#by_hexcolour&quot;&gt;&lt;code&gt;by_hexcolour&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;/ul&gt;\n &lt;h2 class=&quot;atx&quot; id=&quot;premix-pallettes&quot;&gt;Helpers&lt;/h2&gt;\n &lt;p&gt;Helper functions&lt;/p&gt;\n &lt;ul&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights/helper#println&quot;&gt;&lt;code&gt;println&lt;/code&gt;&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;h2 class=&quot;atx&quot; id=&quot;premix-pallettes&quot;&gt;Premix pallettes&lt;/h2&gt;\n &lt;p&gt;These are modules within gleamy_lights allowing you to use a modifier with no need to enter the colour codes.&lt;/p&gt;\n &lt;ul&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights/premixed&quot;&gt;Premixed colours pallette&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;li&gt;&lt;p&gt;&lt;a href=&quot;/gleamy_lights/gleamy_lights/premixed/gleam_colours&quot;&gt;Gleam colours pallette&lt;/a&gt;&lt;/p&gt;\n &lt;/li&gt;\n &lt;/ul&gt;","url":"gleamy_lights.html"},{"doc":"gleamy_lights/helper","title":"println","content":"pub fn println(str: String) -&gt; Nil\n # println\n A simple function to print a string to the console.\n This function is a drop-in for the `println` function, so that JS colour support is ensured,\n even on browsers.\n\n Mainly meant for packages that are ran everywhere, like Gleam libraries.\n\n If you stay in the console just use the `gleam/io` module.\n There&#39;s no need to use this function then.\n\n Note: Nested colours are not supported.\nSynonyms:\ngleamy_lights/helper.println\ngleamy_lights/helper println","url":"gleamy_lights/helper.html#println"},{"doc":"gleamy_lights/helper","title":"gleamy_lights/helper","content":"","url":"gleamy_lights/helper.html"},{"doc":"gleamy_lights/premixed","title":"bg_black","content":"pub fn bg_black(msg: String) -&gt; String\n ### Black background\nSynonyms:\ngleamy_lights/premixed.bg_black\ngleamy_lights/premixed bg_black","url":"gleamy_lights/premixed.html#bg_black"},{"doc":"gleamy_lights/premixed","title":"bg_blue","content":"pub fn bg_blue(msg: String) -&gt; String\n ### Blue background\nSynonyms:\ngleamy_lights/premixed.bg_blue\ngleamy_lights/premixed bg_blue","url":"gleamy_lights/premixed.html#bg_blue"},{"doc":"gleamy_lights/premixed","title":"bg_bright_cyan","content":"pub fn bg_bright_cyan(msg: String) -&gt; String\n ### Bright cyan background\nSynonyms:\ngleamy_lights/premixed.bg_bright_cyan\ngleamy_lights/premixed bg_bright_cyan","url":"gleamy_lights/premixed.html#bg_bright_cyan"},{"doc":"gleamy_lights/premixed","title":"bg_bright_orange","content":"pub fn bg_bright_orange(msg: String) -&gt; String\n ### Bright orange background\nSynonyms:\ngleamy_lights/premixed.bg_bright_orange\ngleamy_lights/premixed bg_bright_orange","url":"gleamy_lights/premixed.html#bg_bright_orange"},{"doc":"gleamy_lights/premixed","title":"bg_bright_red","content":"pub fn bg_bright_red(msg: String) -&gt; String\n ### Bright red background\nSynonyms:\ngleamy_lights/premixed.bg_bright_red\ngleamy_lights/premixed bg_bright_red","url":"gleamy_lights/premixed.html#bg_bright_red"},{"doc":"gleamy_lights/premixed","title":"bg_bright_white","content":"pub fn bg_bright_white(msg: String) -&gt; String\n ### Bright white background\nSynonyms:\ngleamy_lights/premixed.bg_bright_white\ngleamy_lights/premixed bg_bright_white","url":"gleamy_lights/premixed.html#bg_bright_white"},{"doc":"gleamy_lights/premixed","title":"bg_bright_yellow","content":"pub fn bg_bright_yellow(msg: String) -&gt; String\n ### Bright yellow background\nSynonyms:\ngleamy_lights/premixed.bg_bright_yellow\ngleamy_lights/premixed bg_bright_yellow","url":"gleamy_lights/premixed.html#bg_bright_yellow"},{"doc":"gleamy_lights/premixed","title":"bg_cyan","content":"pub fn bg_cyan(msg: String) -&gt; String\n ### Cyan background\nSynonyms:\ngleamy_lights/premixed.bg_cyan\ngleamy_lights/premixed bg_cyan","url":"gleamy_lights/premixed.html#bg_cyan"},{"doc":"gleamy_lights/premixed","title":"bg_dark_black","content":"pub fn bg_dark_black(msg: String) -&gt; String\n ### Dark black background\nSynonyms:\ngleamy_lights/premixed.bg_dark_black\ngleamy_lights/premixed bg_dark_black","url":"gleamy_lights/premixed.html#bg_dark_black"},{"doc":"gleamy_lights/premixed","title":"bg_error_red","content":"pub fn bg_error_red(msg: String) -&gt; String\n ### &quot;Error&quot; red background\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in error messages)\nSynonyms:\ngleamy_lights/premixed.bg_error_red\ngleamy_lights/premixed bg_error_red","url":"gleamy_lights/premixed.html#bg_error_red"},{"doc":"gleamy_lights/premixed","title":"bg_green","content":"pub fn bg_green(msg: String) -&gt; String\n ### Green background\nSynonyms:\ngleamy_lights/premixed.bg_green\ngleamy_lights/premixed bg_green","url":"gleamy_lights/premixed.html#bg_green"},{"doc":"gleamy_lights/premixed","title":"bg_lightblue","content":"pub fn bg_lightblue(msg: String) -&gt; String\n ### Light blue background\nSynonyms:\ngleamy_lights/premixed.bg_lightblue\ngleamy_lights/premixed bg_lightblue","url":"gleamy_lights/premixed.html#bg_lightblue"},{"doc":"gleamy_lights/premixed","title":"bg_lilac","content":"pub fn bg_lilac(msg: String) -&gt; String\n ### Lilac background\nSynonyms:\ngleamy_lights/premixed.bg_lilac\ngleamy_lights/premixed bg_lilac","url":"gleamy_lights/premixed.html#bg_lilac"},{"doc":"gleamy_lights/premixed","title":"bg_lime","content":"pub fn bg_lime(msg: String) -&gt; String\n ### Lime background\nSynonyms:\ngleamy_lights/premixed.bg_lime\ngleamy_lights/premixed bg_lime","url":"gleamy_lights/premixed.html#bg_lime"},{"doc":"gleamy_lights/premixed","title":"bg_magenta","content":"pub fn bg_magenta(msg: String) -&gt; String\n ### Magenta background\nSynonyms:\ngleamy_lights/premixed.bg_magenta\ngleamy_lights/premixed bg_magenta","url":"gleamy_lights/premixed.html#bg_magenta"},{"doc":"gleamy_lights/premixed","title":"bg_ok_green","content":"pub fn bg_ok_green(msg: String) -&gt; String\n ### &quot;OK&quot; green background\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in success messages)\nSynonyms:\ngleamy_lights/premixed.bg_ok_green\ngleamy_lights/premixed bg_ok_green","url":"gleamy_lights/premixed.html#bg_ok_green"},{"doc":"gleamy_lights/premixed","title":"bg_orange","content":"pub fn bg_orange(msg: String) -&gt; String\n ### Orange background\nSynonyms:\ngleamy_lights/premixed.bg_orange\ngleamy_lights/premixed bg_orange","url":"gleamy_lights/premixed.html#bg_orange"},{"doc":"gleamy_lights/premixed","title":"bg_pink","content":"pub fn bg_pink(msg: String) -&gt; String\n ### Pink background\nSynonyms:\ngleamy_lights/premixed.bg_pink\ngleamy_lights/premixed bg_pink","url":"gleamy_lights/premixed.html#bg_pink"},{"doc":"gleamy_lights/premixed","title":"bg_purple","content":"pub fn bg_purple(msg: String) -&gt; String\n ### Purple background\nSynonyms:\ngleamy_lights/premixed.bg_purple\ngleamy_lights/premixed bg_purple","url":"gleamy_lights/premixed.html#bg_purple"},{"doc":"gleamy_lights/premixed","title":"bg_red","content":"pub fn bg_red(msg: String) -&gt; String\n ### Red background\nSynonyms:\ngleamy_lights/premixed.bg_red\ngleamy_lights/premixed bg_red","url":"gleamy_lights/premixed.html#bg_red"},{"doc":"gleamy_lights/premixed","title":"bg_white","content":"pub fn bg_white(msg: String) -&gt; String\n ### White background\nSynonyms:\ngleamy_lights/premixed.bg_white\ngleamy_lights/premixed bg_white","url":"gleamy_lights/premixed.html#bg_white"},{"doc":"gleamy_lights/premixed","title":"bg_yellow","content":"pub fn bg_yellow(msg: String) -&gt; String\n ### Yellow background\nSynonyms:\ngleamy_lights/premixed.bg_yellow\ngleamy_lights/premixed bg_yellow","url":"gleamy_lights/premixed.html#bg_yellow"},{"doc":"gleamy_lights/premixed","title":"text_black","content":"pub fn text_black(msg: String) -&gt; String\n ### Black text\nSynonyms:\ngleamy_lights/premixed.text_black\ngleamy_lights/premixed text_black","url":"gleamy_lights/premixed.html#text_black"},{"doc":"gleamy_lights/premixed","title":"text_blue","content":"pub fn text_blue(msg: String) -&gt; String\n ### Blue text\nSynonyms:\ngleamy_lights/premixed.text_blue\ngleamy_lights/premixed text_blue","url":"gleamy_lights/premixed.html#text_blue"},{"doc":"gleamy_lights/premixed","title":"text_bright_cyan","content":"pub fn text_bright_cyan(msg: String) -&gt; String\n ### Bright cyan text\nSynonyms:\ngleamy_lights/premixed.text_bright_cyan\ngleamy_lights/premixed text_bright_cyan","url":"gleamy_lights/premixed.html#text_bright_cyan"},{"doc":"gleamy_lights/premixed","title":"text_bright_orange","content":"pub fn text_bright_orange(msg: String) -&gt; String\n ### Bright orange text\nSynonyms:\ngleamy_lights/premixed.text_bright_orange\ngleamy_lights/premixed text_bright_orange","url":"gleamy_lights/premixed.html#text_bright_orange"},{"doc":"gleamy_lights/premixed","title":"text_bright_red","content":"pub fn text_bright_red(msg: String) -&gt; String\n ### Bright red text\nSynonyms:\ngleamy_lights/premixed.text_bright_red\ngleamy_lights/premixed text_bright_red","url":"gleamy_lights/premixed.html#text_bright_red"},{"doc":"gleamy_lights/premixed","title":"text_bright_white","content":"pub fn text_bright_white(msg: String) -&gt; String\n ### Bright white text\nSynonyms:\ngleamy_lights/premixed.text_bright_white\ngleamy_lights/premixed text_bright_white","url":"gleamy_lights/premixed.html#text_bright_white"},{"doc":"gleamy_lights/premixed","title":"text_bright_yellow","content":"pub fn text_bright_yellow(msg: String) -&gt; String\n ### Bright yellow text\nSynonyms:\ngleamy_lights/premixed.text_bright_yellow\ngleamy_lights/premixed text_bright_yellow","url":"gleamy_lights/premixed.html#text_bright_yellow"},{"doc":"gleamy_lights/premixed","title":"text_cyan","content":"pub fn text_cyan(msg: String) -&gt; String\n ### Cyan text\nSynonyms:\ngleamy_lights/premixed.text_cyan\ngleamy_lights/premixed text_cyan","url":"gleamy_lights/premixed.html#text_cyan"},{"doc":"gleamy_lights/premixed","title":"text_dark_black","content":"pub fn text_dark_black(msg: String) -&gt; String\n ### Dark black text\nSynonyms:\ngleamy_lights/premixed.text_dark_black\ngleamy_lights/premixed text_dark_black","url":"gleamy_lights/premixed.html#text_dark_black"},{"doc":"gleamy_lights/premixed","title":"text_error_red","content":"pub fn text_error_red(msg: String) -&gt; String\n ### &quot;Error&quot; red text\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in error messages)///\nSynonyms:\ngleamy_lights/premixed.text_error_red\ngleamy_lights/premixed text_error_red","url":"gleamy_lights/premixed.html#text_error_red"},{"doc":"gleamy_lights/premixed","title":"text_green","content":"pub fn text_green(msg: String) -&gt; String\n ### Green text\nSynonyms:\ngleamy_lights/premixed.text_green\ngleamy_lights/premixed text_green","url":"gleamy_lights/premixed.html#text_green"},{"doc":"gleamy_lights/premixed","title":"text_lightblue","content":"pub fn text_lightblue(msg: String) -&gt; String\n ### Light blue text\nSynonyms:\ngleamy_lights/premixed.text_lightblue\ngleamy_lights/premixed text_lightblue","url":"gleamy_lights/premixed.html#text_lightblue"},{"doc":"gleamy_lights/premixed","title":"text_lilac","content":"pub fn text_lilac(msg: String) -&gt; String\n ### Lilac text\nSynonyms:\ngleamy_lights/premixed.text_lilac\ngleamy_lights/premixed text_lilac","url":"gleamy_lights/premixed.html#text_lilac"},{"doc":"gleamy_lights/premixed","title":"text_lime","content":"pub fn text_lime(msg: String) -&gt; String\n ### Lime text\nSynonyms:\ngleamy_lights/premixed.text_lime\ngleamy_lights/premixed text_lime","url":"gleamy_lights/premixed.html#text_lime"},{"doc":"gleamy_lights/premixed","title":"text_magenta","content":"pub fn text_magenta(msg: String) -&gt; String\n ### Magenta text\nSynonyms:\ngleamy_lights/premixed.text_magenta\ngleamy_lights/premixed text_magenta","url":"gleamy_lights/premixed.html#text_magenta"},{"doc":"gleamy_lights/premixed","title":"text_ok_green","content":"pub fn text_ok_green(msg: String) -&gt; String\n ### &quot;OK&quot; green text\n\n (Note: this is not a standard color, but it&#39;s specifically chosen to be used in success messages)\nSynonyms:\ngleamy_lights/premixed.text_ok_green\ngleamy_lights/premixed text_ok_green","url":"gleamy_lights/premixed.html#text_ok_green"},{"doc":"gleamy_lights/premixed","title":"text_orange","content":"pub fn text_orange(msg: String) -&gt; String\n ### Orange text\nSynonyms:\ngleamy_lights/premixed.text_orange\ngleamy_lights/premixed text_orange","url":"gleamy_lights/premixed.html#text_orange"},{"doc":"gleamy_lights/premixed","title":"text_pink","content":"pub fn text_pink(msg: String) -&gt; String\n ### Pink text\nSynonyms:\ngleamy_lights/premixed.text_pink\ngleamy_lights/premixed text_pink","url":"gleamy_lights/premixed.html#text_pink"},{"doc":"gleamy_lights/premixed","title":"text_purple","content":"pub fn text_purple(msg: String) -&gt; String\n ### Purple text\nSynonyms:\ngleamy_lights/premixed.text_purple\ngleamy_lights/premixed text_purple","url":"gleamy_lights/premixed.html#text_purple"},{"doc":"gleamy_lights/premixed","title":"text_red","content":"pub fn text_red(msg: String) -&gt; String\n ### Red text\nSynonyms:\ngleamy_lights/premixed.text_red\ngleamy_lights/premixed text_red","url":"gleamy_lights/premixed.html#text_red"},{"doc":"gleamy_lights/premixed","title":"text_white","content":"pub fn text_white(msg: String) -&gt; String\n ### White text\nSynonyms:\ngleamy_lights/premixed.text_white\ngleamy_lights/premixed text_white","url":"gleamy_lights/premixed.html#text_white"},{"doc":"gleamy_lights/premixed","title":"text_yellow","content":"pub fn text_yellow(msg: String) -&gt; String\n ### Yellow text\nSynonyms:\ngleamy_lights/premixed.text_yellow\ngleamy_lights/premixed text_yellow","url":"gleamy_lights/premixed.html#text_yellow"},{"doc":"gleamy_lights/premixed","title":"gleamy_lights/premixed","content":" # Pre-mixed colours\n\n A palette of pre-mixed colours, that I used before.","url":"gleamy_lights/premixed.html"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_aged_plastic_yellow","content":"pub fn bg_aged_plastic_yellow(msg: String) -&gt; String\n ### &quot;Aged plastic yellow&quot; background\n Hex: `#fffbe8`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_aged_plastic_yellow\ngleamy_lights/premixed/gleam_colours bg_aged_plastic_yellow","url":"gleamy_lights/premixed/gleam_colours.html#bg_aged_plastic_yellow"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_black","content":"pub fn bg_black(msg: String) -&gt; String\n ### &quot;Black&quot; background\n Hex: `#1e1e1e`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_black\ngleamy_lights/premixed/gleam_colours bg_black","url":"gleamy_lights/premixed/gleam_colours.html#bg_black"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_blacker","content":"pub fn bg_blacker(msg: String) -&gt; String\n ### &quot;Blacker&quot; background\n Hex: `#151515`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_blacker\ngleamy_lights/premixed/gleam_colours bg_blacker","url":"gleamy_lights/premixed/gleam_colours.html#bg_blacker"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_charcoal","content":"pub fn bg_charcoal(msg: String) -&gt; String\n ### &quot;Charcoal&quot; background\n Hex: `#2f2f2f`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_charcoal\ngleamy_lights/premixed/gleam_colours bg_charcoal","url":"gleamy_lights/premixed/gleam_colours.html#bg_charcoal"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_faff_pink","content":"pub fn bg_faff_pink(msg: String) -&gt; String\n ### &quot;Faff pink&quot; background\n Hex: `#ffaff3`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_faff_pink\ngleamy_lights/premixed/gleam_colours bg_faff_pink","url":"gleamy_lights/premixed/gleam_colours.html#bg_faff_pink"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_underwater_blue","content":"pub fn bg_underwater_blue(msg: String) -&gt; String\n ### &quot;Underwater blue&quot; background\n Hex: `#292d3e`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_underwater_blue\ngleamy_lights/premixed/gleam_colours bg_underwater_blue","url":"gleamy_lights/premixed/gleam_colours.html#bg_underwater_blue"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_unexpected_aubergine","content":"pub fn bg_unexpected_aubergine(msg: String) -&gt; String\n ### &quot;Unexpected aubergine&quot; background\n Hex: `#584355`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_unexpected_aubergine\ngleamy_lights/premixed/gleam_colours bg_unexpected_aubergine","url":"gleamy_lights/premixed/gleam_colours.html#bg_unexpected_aubergine"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_unnamed_blue","content":"pub fn bg_unnamed_blue(msg: String) -&gt; String\n ### &quot;Unnamed blue&quot; background\n Hex: `#a6f0fc`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_unnamed_blue\ngleamy_lights/premixed/gleam_colours bg_unnamed_blue","url":"gleamy_lights/premixed/gleam_colours.html#bg_unnamed_blue"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"bg_white","content":"pub fn bg_white(msg: String) -&gt; String\n ### &quot;White&quot; background\n Hex: `#fefefc`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.bg_white\ngleamy_lights/premixed/gleam_colours bg_white","url":"gleamy_lights/premixed/gleam_colours.html#bg_white"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_aged_plastic_yellow","content":"pub fn text_aged_plastic_yellow(msg: String) -&gt; String\n ### &quot;Aged plastic yellow&quot; text\n Hex: `#fffbe8`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_aged_plastic_yellow\ngleamy_lights/premixed/gleam_colours text_aged_plastic_yellow","url":"gleamy_lights/premixed/gleam_colours.html#text_aged_plastic_yellow"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_black","content":"pub fn text_black(msg: String) -&gt; String\n ### &quot;Black&quot; text\n Hex: `#1e1e1e`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_black\ngleamy_lights/premixed/gleam_colours text_black","url":"gleamy_lights/premixed/gleam_colours.html#text_black"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_blacker","content":"pub fn text_blacker(msg: String) -&gt; String\n ### &quot;Blacker&quot; text\n Hex: `#151515`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_blacker\ngleamy_lights/premixed/gleam_colours text_blacker","url":"gleamy_lights/premixed/gleam_colours.html#text_blacker"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_charcoal","content":"pub fn text_charcoal(msg: String) -&gt; String\n ### &quot;Charcoal&quot; text\n Hex: `#2f2f2f`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_charcoal\ngleamy_lights/premixed/gleam_colours text_charcoal","url":"gleamy_lights/premixed/gleam_colours.html#text_charcoal"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_faff_pink","content":"pub fn text_faff_pink(msg: String) -&gt; String\n ### &quot;Faff pink&quot; text\n Hex: `#ffaff3`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_faff_pink\ngleamy_lights/premixed/gleam_colours text_faff_pink","url":"gleamy_lights/premixed/gleam_colours.html#text_faff_pink"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_underwater_blue","content":"pub fn text_underwater_blue(msg: String) -&gt; String\n ### &quot;Underwater blue&quot; text\n Hex: `#292d3e`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_underwater_blue\ngleamy_lights/premixed/gleam_colours text_underwater_blue","url":"gleamy_lights/premixed/gleam_colours.html#text_underwater_blue"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_unexpected_aubergine","content":"pub fn text_unexpected_aubergine(msg: String) -&gt; String\n ### &quot;Unexpected aubergine&quot; text\n Hex: `#584355`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_unexpected_aubergine\ngleamy_lights/premixed/gleam_colours text_unexpected_aubergine","url":"gleamy_lights/premixed/gleam_colours.html#text_unexpected_aubergine"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_unnamed_blue","content":"pub fn text_unnamed_blue(msg: String) -&gt; String\n ### &quot;Unnamed blue&quot; text\n Hex: `#a6f0fc`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_unnamed_blue\ngleamy_lights/premixed/gleam_colours text_unnamed_blue","url":"gleamy_lights/premixed/gleam_colours.html#text_unnamed_blue"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"text_white","content":"pub fn text_white(msg: String) -&gt; String\n ### &quot;White&quot; text\n Hex: `#fefefc`\nSynonyms:\ngleamy_lights/premixed/gleam_colours.text_white\ngleamy_lights/premixed/gleam_colours text_white","url":"gleamy_lights/premixed/gleam_colours.html#text_white"},{"doc":"gleamy_lights/premixed/gleam_colours","title":"gleamy_lights/premixed/gleam_colours","content":" # Gleam colours\n\n Especially coloured after Gleam&#39;s colour palette.\n\n `#ffaff3` - Faff Pink\n\n `#fefefc` - White\n\n `#a6f0fc` - Unnamed Blue\n\n `#fffbe8` - Aged Plastic Yellow\n\n `#584355` - Unexpected Aubergine\n\n `#292d3e` - Underwater Blue\n\n `#2f2f2f` - Charcoal\n\n `#1e1e1e` - Black\n\n `#151515` - Blacker\n\n\n\n See: &lt;https://gleam.run/branding/&gt;","url":"gleamy_lights/premixed/gleam_colours.html"}]);